.. AUTO-GENERATED FILE. DO NOT EDIT. Get scanned document ==================== Summary ------- - **Source repository:** ``jef-systems/jef-accounting-backend`` - **Source SHA:** ``eaca6413a00fd211146c504137047c3d327f687b`` - **Source run id:** ``31404676080`` - **Module:** ``Accounting`` - **Lambda function:** ``jef-accounting-get-scanned-document`` - **HTTP method:** ``GET`` - **Invocation mode:** ``sync`` - **Package mode:** ``no-package`` - **API category:** ``Accounting Complex Sync No Package GET APIs`` - **API path:** ``/accounting/complex-sync-no-packages/jef-accounting-get-scanned-document`` - **Endpoint URL:** ``https://api.jefoffice.com/accounting/complex-sync-no-packages/jef-accounting-get-scanned-document`` - **Documentation scope:** ``lambda-complex-sync-no-packages`` Synchronous Lambda Complex Rule ------------------------------- This API is documented as a synchronous Lambda complex no-package API. API Gateway waits for the Lambda result and returns the final Lambda response. Description ----------- Gets one scanned document owned by the supplied jsin without exposing internal S3 data. Payload Example --------------- .. code-block:: json { "jsin": "1513", "document_name": "0123456789abcdef0123456789abcdef.pdf" } Payload Schema -------------- .. code-block:: json { "root": { "type": "M", "required": true, "additional_properties": false, "attributes": { "jsin": { "type": "S", "required": true, "regex": "^[0-9]{4}$" }, "document_name": { "type": "S", "required": true, "regex": "^[A-Za-z0-9][A-Za-z0-9._-]{0,254}$" } } } } Response Schema --------------- .. code-block:: json { "root": { "type": "M", "required": true, "additional_properties": false, "attributes": { "document": { "type": "M", "required": false, "additional_properties": false, "attributes": { "document_name": { "type": "S", "required": true }, "form": { "type": "M", "required": true, "additional_properties": false, "attributes": { "form_name": { "type": "S", "required": true }, "spec_version": { "type": "S", "required": true } } }, "processing": { "type": "M", "required": true, "additional_properties": false, "attributes": { "status": { "type": "S", "required": true }, "raw_ocr_value": { "type": "S", "required": false } } }, "created": { "type": "S", "required": true } } }, "error_code": { "type": "S", "required": false }, "message": { "type": "S", "required": false } } } } CMD curl -------- .. code-block:: bat curl.exe -X GET "https://api.jefoffice.com/accounting/complex-sync-no-packages/jef-accounting-get-scanned-document" PowerShell curl --------------- .. code-block:: powershell curl.exe -X GET "https://api.jefoffice.com/accounting/complex-sync-no-packages/jef-accounting-get-scanned-document"